//
// $Id: Main.java,v 1.3 2003/07/07 19:09:33 dwight Exp $
//
import net.sf.hibernate.cfg.Configuration;
import net.sf.hibernate.SessionFactory;
import net.sf.hibernate.Session;
import net.sf.hibernate.Transaction;
import net.sf.hibernate.MappingException;
import net.sf.hibernate.HibernateException;

import hb.*;


public class Main {
   
    public static void main ( String[] args )
        throws MappingException,
               HibernateException
    {
        Configuration cfg = new Configuration();
        cfg.addClass( hb.Keyword.class );

        SessionFactory sessions = cfg.buildSessionFactory();
        Session session = sessions.openSession();

        Transaction tx = null;
        Keyword     kw = new Keyword( 1,"red" );
        try {
            tx = session.beginTransaction();
            session.save( kw );
            tx.commit();
        }
        catch ( HibernateException he ) {
            if ( tx != null ) tx.rollback();
            throw he;
        }
        finally {
            session.close();
        }
    }
}
